Oracle Linux 5 : java-1.7.0-openjdk (ELSA-2013-0603)

critical Nessus Plugin ID 68776
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2013:0603:

現已提供適用於 Red Hat Enterprise Linux 5 的更新版 java-1.7.0-openjdk 套件,可修正兩個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有重要安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

這些套件提供 OpenJDK 7 Java Runtime Environment 與 OpenJDK 7 Software Development Kit。

在 2D 元件處理某些範例模型執行個體的方式中發現一個整數溢位瑕疵。特製的範例模型執行個體可使 Java 虛擬機器記憶體損毀,而且可能導致使用虛擬機器權限執行任意程式碼。(CVE-2013-0809)

據發現,2D 元件無法正確拒絕某些格式錯誤的影像。特製的點陣參數可使 Java 虛擬機器記憶體損毀,而且可能導致使用虛擬機器權限執行任意程式碼。
(CVE-2013-1493)

此 erratum 也會將 OpenJDK 套件升級至 IcedTea7 2.3.8。
請參閱 NEWS 檔案 (<參照>一節中有連結),瞭解詳細資訊。

建議所有 java-1.7.0-openjdk 使用者皆升級至這些更新版套件,其可解決這些問題。所有執行中的 OpenJDK Java 執行個體都必須重新啟動,更新才能生效。

解決方案

更新受影響的 java-1.7.0-openjdk 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2013-March/003338.html

Plugin 詳細資訊

嚴重性: Critical

ID: 68776

檔案名稱: oraclelinux_ELSA-2013-0603.nasl

版本: 1.12

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Critical

分數: 9.8

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 8.7

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:H/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:java-1.7.0-openjdk, p-cpe:/a:oracle:linux:java-1.7.0-openjdk-demo, p-cpe:/a:oracle:linux:java-1.7.0-openjdk-devel, p-cpe:/a:oracle:linux:java-1.7.0-openjdk-javadoc, p-cpe:/a:oracle:linux:java-1.7.0-openjdk-src, cpe:/o:oracle:linux:5

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2013/3/7

弱點發布日期: 2013/3/5

惡意利用途徑

Core Impact

Metasploit (Java CMM Remote Code Execution)

參考資訊

CVE: CVE-2013-0809, CVE-2013-1493

BID: 58238, 58296

RHSA: 2013:0603